Status: Closed Start date:
Priority: High Due date:
Assignee: Alain Prouté % Done: 0%
Category: Compiler Estimated time: 0.00 hour
Target version: 1.8
Platform: Triage Stage:
Resolution: fixed
Description

when syntax error occurred, the compiler continue his job in the other file. But when the en of file is reached has nothing is good, is
better to stop compiling

History
#1 - 09/21/2007 12:56 PM - Alain Prouté
- Status changed from New to Assigned

Added a call to end_of_par() when the compiler returns from a 'read'. Not yet tested.

#2 - 09/21/2007 10:12 PM - Alain Prouté

This problem appeared since adm are constructed immediately after the 'global' paragraph. Will be fixed soon.

#3 - 09/22/2007 02:31 PM - Alain Prouté
- Status changed from Assigned to Closed
- Resolution set to fixed

The problem was comming from a buggy grammar rule. It has been removed from the grammar.
